package com.aucma.report.mapper;

import java.util.List;
import com.aucma.report.domain.RealTaskInfo;

/**
 * 任务信息Mapper接口
 * 
 * @author Yinq
 * @date 2023-11-02
 */
public interface RealTaskInfoMapper 
{
    /**
     * 查询任务信息
     * 
     * @param objid 任务信息主键
     * @return 任务信息
     */
    public RealTaskInfo selectRealTaskInfoByObjid(Long objid);

    /**
     * 查询任务信息列表
     * 
     * @param realTaskInfo 任务信息
     * @return 任务信息集合
     */
    public List<RealTaskInfo> selectRealTaskInfoList(RealTaskInfo realTaskInfo);

    /**
     * 新增任务信息
     * 
     * @param realTaskInfo 任务信息
     * @return 结果
     */
    public int insertRealTaskInfo(RealTaskInfo realTaskInfo);

    /**
     * 修改任务信息
     * 
     * @param realTaskInfo 任务信息
     * @return 结果
     */
    public int updateRealTaskInfo(RealTaskInfo realTaskInfo);

    /**
     * 删除任务信息
     * 
     * @param objid 任务信息主键
     * @return 结果
     */
    public int deleteRealTaskInfoByObjid(Long objid);

    /**
     * 批量删除任务信息
     * 
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRealTaskInfoByObjids(Long[] objids);
}
